import { AxiosInstance } from 'contentful-sdk-core';
import type { SyncCollection, SyncOptions, SyncQuery, LocaleCode, EntrySkeletonType } from './types/index.js';
import { ChainOptions, ModifiersFromOptions } from './utils/client-helpers.js';
/**
 * Retrieves all the available pages for a sync operation
 */
export default function pagedSync<EntrySkeleton extends EntrySkeletonType, Locales extends LocaleCode, Options extends ChainOptions>(http: AxiosInstance, query: SyncQuery, options?: SyncOptions | ChainOptions): Promise<SyncCollection<EntrySkeleton, ModifiersFromOptions<Options>, Locales>>;
